#!/bin/sh
#
# Run this script in the top level directory to create the translated man pages:
#
# Once the TP module has been created, this command gets the latest po files:
# echo "Getting the latest translations from translationproject.org..."
# rsync -Lrtvz  translationproject.org::tp/latest/cpio-man/  man

threshold=80

for lang in *.po
  do
  if [ -d ${lang%.*} ] ; then
  echo "${lang%.*}: directory exists, will be reused"
  else
    mkdir -p ${lang%.*}/man1
  fi
    po4a-translate -M utf-8 -f man -k ${threshold} -m cpio.1 -p ${lang} -l ${lang%.*}/man1/cpio.1
    po4a-translate -M utf-8 -f man -k ${threshold} -m mt.1 -p ${lang} -l ${lang%.*}/man1/mt.1
done